Get a Payment Plan
curl --request GET \
--url https://api.flutterwave.com/v3/payment-plans/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: <content-type>'import requests
url = "https://api.flutterwave.com/v3/payment-plans/{id}"
headers = {
"Content-Type": "<content-type>",
"Authorization": "Bearer <token>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {'Content-Type': '<content-type>', Authorization: 'Bearer <token>'}
};
fetch('https://api.flutterwave.com/v3/payment-plans/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"status": "success",
"message": "Payment plan fetched",
"data": {
"id": 63468,
"name": "Sample Plan",
"amount": 1000,
"interval": "monthly",
"duration": 12,
"status": "active",
"currency": "NGN",
"plan_token": "rpp_0ec8c0e2acb9e4304b94",
"created_at": "2024-03-08T06:59:41.000Z"
}
}Payment Plans
Get a Payment Plan
Fetch the details of a single payment plan
GET
/
payment-plans
/
{id}
Get a Payment Plan
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Headers
Available options:
application/json Example:
"application/json"
Path Parameters
Example:
63468
Response
200 - application/json; charset=utf-8
OK
Show child attributes
Show child attributes
Example:
{
"id": 3807,
"name": "the akhlm postman plan 2",
"amount": 5000,
"interval": "monthly",
"duration": 48,
"status": "active",
"currency": "NGN",
"plan_token": "rpp_12d2ef3d5ac1c13b9d30",
"created_at": "2020-01-16T18:08:19.000Z"
}
Was this page helpful?
⌘I